/**
 * @license Copyright 2013 Andy Earnshaw, MIT License
 *
 * Implements the ECMAScript Internationalization API in ES5-compatible environments,
 * following the ECMA-402 specification as closely as possible
 *
 * ECMA-402: http://ecma-international.org/ecma-402/1.0/
 *
 * CLDR format locale data should be provided using IntlPolyfill.__addLocaleData().
 */
!function(a,b){var c=b();"function"==typeof define&&define.amd&&define(c),"object"==typeof exports&&(module.exports=c),a&&(a.IntlPolyfill=c)}("undefined"!=typeof global?global:this,function(){"use strict";function a(a){return L.test(a)?N.test(a)?!1:O.test(a)?!1:!0:!1}function b(a){var b,c;a=a.toLowerCase(),c=a.split("-");for(var d=1,e=c.length;e>d;d++)if(2===c[d].length)c[d]=c[d].toUpperCase();else if(4===c[d].length)c[d]=c[d].charAt(0).toUpperCase()+c[d].slice(1);else if(1===c[d].length&&"x"!=c[d])break;a=X.call(c,"-"),(b=a.match(M))&&b.length>1&&(b.sort(),a=a.replace(RegExp("(?:"+M.source+")+","i"),X.call(b,""))),Q.call(gb.tags,a)&&(a=gb.tags[a]),c=a.split("-");for(var d=1,e=c.length;e>d;d++)Q.call(gb.subtags,c[d])?c[d]=gb.subtags[c[d]]:Q.call(gb.extLang,c[d])&&(c[d]=gb.extLang[c[d]][0],1===d&&gb.extLang[c[1]][1]===c[0]&&(c=U.call(c,d++),e-=1));return X.call(c,"-")}function c(){return K}function d(a){var b=String(a),c=H(b);return eb.test(c)===!1?!1:!0}function e(c){if(void 0===c)return new F;for(var d=new F,c="string"==typeof c?[c]:c,e=I(c),f=e.length,g=0;f>g;){var h=String(g),i=h in e;if(i){var j=e[h];if(null==j||"string"!=typeof j&&"object"!=typeof j)throw new TypeError("String or Object type expected");var k=String(j);if(!a(k))throw new RangeError("'"+k+"' is not a structurally valid language tag");k=b(k),-1===S.call(d,k)&&W.call(d,k)}g++}return d}function f(a,b){for(var c=b;;){if(S.call(a,c)>-1)return c;var d=c.lastIndexOf("-");if(0>d)return;d>=2&&"-"==c.charAt(d-2)&&(d-=2),c=c.substring(0,d)}}function g(a,b){for(var d,e=0,g=b.length;g>e&&!d;){var h=b[e],i=String(h).replace(fb,""),d=f(a,i);e++}var j=new E;if(void 0!==d){if(j["[[locale]]"]=d,String(h)!==String(i)){var k=h.match(fb)[0],l=h.indexOf("-u-");j["[[extension]]"]=k,j["[[extensionIndex]]"]=l}}else j["[[locale]]"]=c();return j}function h(a,b){return g(a,b)}function i(a,b,c,d,e){if(0===a.length)throw new ReferenceError("No locale data has been provided for this object yet.");var f=c["[[localeMatcher]]"];if("lookup"===f)var i=g(a,b);else var i=h(a,b);var j=i["[[locale]]"];if(Q.call(i,"[[extension]]"))var k=i["[[extension]]"],l=i["[[extensionIndex]]"],m=String.prototype.split,n=m.call(k,"-"),o=n.length;var p=new E;p["[[dataLocale]]"]=j;for(var q="-u",r=0,s=d.length;s>r;){var t=d[r],u=e[j],v=u[t],w=v["0"],x="",y=S;if(void 0!==n){var z=y.call(n,t);if(-1!==z)if(o>z+1&&n[z+1].length>2){var A=n[z+1],B=y.call(v,A);if(-1!==B)var w=A,x="-"+t+"-"+w}else{var B=y(v,"true");if(-1!==B)var w="true"}}if(Q.call(c,"[["+t+"]]")){var C=c["[["+t+"]]"];-1!==y.call(v,C)&&C!==w&&(w=C,x="")}p["[["+t+"]]"]=w,q+=x,r++}if(q.length>2)var D=j.substring(0,l),F=j.substring(l),j=D+q+F;return p["[[locale]]"]=j,p}function j(a,b){for(var c=b.length,d=new F,e=0;c>e;){var g=b[e],h=String(g).replace(fb,""),i=f(a,h);void 0!==i&&W.call(d,g),e++}var j=U.call(d);return j}function k(a,b){return j(a,b)}function l(a,b,c){if(void 0!==c){var c=new E(I(c)),d=c.localeMatcher;if(void 0!==d&&(d=String(d),"lookup"!==d&&"best fit"!==d))throw new RangeError('matcher should be "lookup" or "best fit"')}if(void 0===d||"best fit"===d)var e=k(a,b);else var e=j(a,b);for(var f in e)Q.call(e,f)&&R(e,f,{writable:!1,configurable:!1,value:e[f]});return R(e,"length",{writable:!1}),e}function m(a,b,c,d,e){var f=a[b];if(void 0!==f){if(f="boolean"===c?Boolean(f):"string"===c?String(f):f,void 0!==d&&-1===S.call(d,f))throw new RangeError("'"+f+"' is not an allowed value for `"+b+"`");return f}return e}function n(a,b,c,d,e){var f=a[b];if(void 0!==f){if(f=Number(f),isNaN(f)||c>f||f>d)throw new RangeError("Value is not a number or outside accepted range");return Math.floor(f)}return e}function o(){var a=arguments[0],b=arguments[1];return this&&this!==P?p(I(this),a,b):new P.NumberFormat(a,b)}function p(a,b,c){var f=J(a),g=G();if(f["[[initializedIntlObject]]"]===!0)throw new TypeError("`this` object has already been initialized as an Intl object");R(a,"__getInternalProperties",{value:function(){return arguments[0]===_?f:void 0}}),f["[[initializedIntlObject]]"]=!0;var h=e(b);c=void 0===c?{}:I(c);var j=new E,k=m(c,"localeMatcher","string",new F("lookup","best fit"),"best fit");j["[[localeMatcher]]"]=k;var l=$.NumberFormat["[[localeData]]"],o=i($.NumberFormat["[[availableLocales]]"],h,j,$.NumberFormat["[[relevantExtensionKeys]]"],l);f["[[locale]]"]=o["[[locale]]"],f["[[numberingSystem]]"]=o["[[nu]]"],f["[[dataLocale]]"]=o["[[dataLocale]]"];var p=o["[[dataLocale]]"],r=m(c,"style","string",new F("decimal","percent","currency"),"decimal");f["[[style]]"]=r;var s=m(c,"currency","string");if(void 0!==s&&!d(s))throw new RangeError("'"+s+"' is not a valid currency code");if("currency"===r&&void 0===s)throw new TypeError("Currency code is required when style is currency");if("currency"===r){s=s.toUpperCase(),f["[[currency]]"]=s;var t=q(s)}var u=m(c,"currencyDisplay","string",new F("code","symbol","name"),"symbol");"currency"===r&&(f["[[currencyDisplay]]"]=u);var v=n(c,"minimumIntegerDigits",1,21,1);f["[[minimumIntegerDigits]]"]=v;var w="currency"===r?t:0,x=n(c,"minimumFractionDigits",0,20,w);f["[[minimumFractionDigits]]"]=x;var y="currency"===r?Math.max(x,t):"percent"===r?Math.max(x,0):Math.max(x,3),z=n(c,"maximumFractionDigits",x,20,y);f["[[maximumFractionDigits]]"]=z;var A=c.minimumSignificantDigits,B=c.maximumSignificantDigits;(void 0!==A||void 0!==B)&&(A=n(c,"minimumSignificantDigits",1,21,1),B=n(c,"maximumSignificantDigits",A,21,21),f["[[minimumSignificantDigits]]"]=A,f["[[maximumSignificantDigits]]"]=B);var C=m(c,"useGrouping","boolean",void 0,!0);f["[[useGrouping]]"]=C;var D=l[p],H=D.patterns,K=H[r];return f["[[positivePattern]]"]=K.positivePattern,f["[[negativePattern]]"]=K.negativePattern,f["[[boundFormat]]"]=void 0,f["[[initializedNumberFormat]]"]=!0,g.exp.test(g.input),a}function q(a){return void 0!==hb[a]?hb[a]:2}function r(a,b){var c,d=G(),e=J(a),f=e["[[dataLocale]]"],g=e["[[numberingSystem]]"],h=$.NumberFormat["[[localeData]]"][f],i=h.symbols[g]||h.symbols.latn,j=!1;if(isFinite(b)===!1)isNaN(b)?c=i.nan:(c=i.infinity,0>b&&(j=!0));else{if(0>b&&(j=!0,b=-b),"percent"===e["[[style]]"]&&(b*=100),c=Q.call(e,"[[minimumSignificantDigits]]")&&Q.call(e,"[[maximumSignificantDigits]]")?s(b,e["[[minimumSignificantDigits]]"],e["[[maximumSignificantDigits]]"]):t(b,e["[[minimumIntegerDigits]]"],e["[[minimumFractionDigits]]"],e["[[maximumFractionDigits]]"]),ib[g]){var k=ib[e["[[numberingSystem]]"]];c=String(c).replace(/\d/g,function(a){return k[a]})}else c=String(c);if(c=c.replace(/\./g,i.decimal),e["[[useGrouping]]"]===!0){var l=c.split(i.decimal);l[0]=l[0].replace(db,i.group),c=X.call(l,i.decimal)}}var m=e[j===!0?"[[negativePattern]]":"[[positivePattern]]"];if(m=m.replace("{number}",c),"currency"===e["[[style]]"]){var n,o=e["[[currency]]"],p=h.currencies[o];"code"===e["[[currencyDisplay]]"]?n=o:"symbol"===e["[[currencyDisplay]]"]?n=p||o:"name"===e["[[currencyDisplay]]"]&&(n=p?p["displayName-count-one"]:o),m=m.replace("{currency}",n)}return d.exp.test(d.input),m}function s(a,b,c){var d=c;if(0===a)var e=X.call(Array(d+1),"0"),f=0;else{var g,h=a%1,i=h?Math.pow(10,c):1,e=Number.prototype.toPrecision.call(a*i,c),f=(g=e.indexOf("e"))>-1?Number(e.slice(g+1)):(g=e.indexOf("."))>-1?g-1:e.length-1;h&&(f-=c),e=e.slice(0,e.indexOf("e")>-1?g:e.length).replace(".","")}if(f>=d)return e+X.call(Array(f-d+1+1),"0");if(f===d-1)return e;if(f>=0?e=e.slice(0,f+1)+"."+e.slice(f+1):0>f&&(e="0."+X.call(Array(-(f+1)+1),"0")+e),e.indexOf(".")>=0&&c>b){for(var j=c-b;j>0&&"0"===e.charAt(e.length-1);)e=e.slice(0,-1),j--;"."===e.charAt(e.length-1)&&(e=e.slice(0,-1))}return e}function t(a,b,c,d){var e,f=Number.prototype.toFixed.call(a,d),g=f.split(".")[0].length,h=d-c,i=(e=f.indexOf("e"))>-1?f.slice(e+1):0;for(i&&(f=f.slice(0,e).replace(".",""),f+=X.call(Array(i-(f.length-1)+1),"0")+"."+X.call(Array(d+1),"0"),g=f.length);h>0&&"0"===f.slice(-1);)f=f.slice(0,-1),h--;if("."===f.slice(-1)&&(f=f.slice(0,-1)),b>g)var j=X.call(Array(b-g+1),"0");return(j?j:"")+f}function u(){var a=arguments[0],b=arguments[1];return this&&this!==P?v(I(this),a,b):new P.DateTimeFormat(a,b)}function v(a,b,c){var d=J(a),f=G();if(d["[[initializedIntlObject]]"]===!0)throw new TypeError("`this` object has already been initialized as an Intl object");R(a,"__getInternalProperties",{value:function(){return arguments[0]===_?d:void 0}}),d["[[initializedIntlObject]]"]=!0;var g=e(b),c=w(c,"any","date"),h=new E;u=m(c,"localeMatcher","string",new F("lookup","best fit"),"best fit"),h["[[localeMatcher]]"]=u;var j=$.DateTimeFormat,k=j["[[localeData]]"],l=i(j["[[availableLocales]]"],g,h,j["[[relevantExtensionKeys]]"],k);d["[[locale]]"]=l["[[locale]]"],d["[[calendar]]"]=l["[[ca]]"],d["[[numberingSystem]]"]=l["[[nu]]"],d["[[dataLocale]]"]=l["[[dataLocale]]"];var n=l["[[dataLocale]]"],o=c.timeZone;if(void 0!==o&&(o=H(o),"UTC"!==o))throw new RangeError("timeZone is not supported.");d["[[timeZone]]"]=o,h=new E;for(var p in jb)if(Q.call(jb,p)){var q=m(c,p,"string",jb[p]);h["[["+p+"]]"]=q}var r,s=k[n],t=s.formats,u=m(c,"formatMatcher","string",new F("basic","best fit"),"best fit");r="basic"===u?x(h,t):y(h,t);for(var p in jb)if(Q.call(jb,p)&&Q.call(r,p)){var v=r[p];d["[["+p+"]]"]=v}var z,A=m(c,"hour12","boolean");if(d["[[hour]]"])if(A=void 0===A?s.hour12:A,d["[[hour12]]"]=A,A===!0){var B=s.hourNo0;d["[[hourNo0]]"]=B,z=r.pattern12}else z=r.pattern;else z=r.pattern;return d["[[pattern]]"]=z,d["[[boundFormat]]"]=void 0,d["[[initializedDateTimeFormat]]"]=!0,f.exp.test(f.input),a}function w(a,b,c){if(void 0===a)a=null;else{var d=I(a);a=new E;for(var e in d)a[e]=d[e]}var f=T,a=f(a),g=!0;return("date"===b||"any"===b)&&(void 0!==a.weekday||void 0!==a.year||void 0!==a.month||void 0!==a.day)&&(g=!1),("time"===b||"any"===b)&&(void 0!==a.hour||void 0!==a.minute||void 0!==a.second)&&(g=!1),!g||"date"!==c&&"all"!==c||(a.year=a.month=a.day="numeric"),!g||"time"!==c&&"all"!==c||(a.hour=a.minute=a.second="numeric"),a}function x(a,b){for(var c,d=120,e=20,f=8,g=6,h=6,i=3,j=-1/0,k=0,l=b.length;l>k;){var m=b[k],n=0;for(var o in jb)if(Q.call(jb,o)){var p=a["[["+o+"]]"],q=Q.call(m,o)?m[o]:void 0;if(void 0===p&&void 0!==q)n-=e;else if(void 0!==p&&void 0===q)n-=d;else{var r=["2-digit","numeric","narrow","short","long"],s=S.call(r,p),t=S.call(r,q),u=Math.max(Math.min(t-s,2),-2);2===u?n-=g:1===u?n-=i:-1===u?n-=h:-2===u&&(n-=f)}}n>j&&(j=n,c=m),k++}return c}function y(a,b){return x(a,b)}function z(a,b){if(!isFinite(b))throw new RangeError("Invalid valid date passed to format");var c=a.__getInternalProperties(_),d=G(),e=c["[[locale]]"],f=new P.NumberFormat([e],{useGrouping:!1}),g=new P.NumberFormat([e],{minimumIntegerDigits:2,useGrouping:!1}),h=A(b,c["[[calendar]]"],c["[[timeZone]]"]),i=c["[[pattern]]"],j=c["[[dataLocale]]"],k=$.DateTimeFormat["[[localeData]]"][j].calendars,l=c["[[calendar]]"];for(var m in jb)if(Q.call(c,"[["+m+"]]")){var n,o,p=c["[["+m+"]]"],q=h["[["+m+"]]"];if("year"===m&&0>=q?q=1-q:"month"===m?q++:"hour"===m&&c["[[hour12]]"]===!0&&(q%=12,n=q!==h["[["+m+"]]"],0===q&&c["[[hourNo0]]"]===!0&&(q=12)),"numeric"===p)o=r(f,q);else if("2-digit"===p)o=r(g,q),o.length>2&&(o=o.slice(-2));else if(p in ab)switch(m){case"month":o=D(k,l,"months",p,h["[["+m+"]]"]);break;case"weekday":try{o=D(k,l,"days",p,h["[["+m+"]]"])}catch(s){throw new Error("Could not find weekday data for locale "+e)}break;case"timeZoneName":o="";break;default:o=h["[["+m+"]]"]}i=i.replace("{"+m+"}",o)}return c["[[hour12]]"]===!0&&(o=D(k,l,"dayPeriods",n?"pm":"am"),i=i.replace("{ampm}",o)),d.exp.test(d.input),i}function A(a){var b=new Date(a);return new E({"[[weekday]]":b.getDay(),"[[era]]":+(b.getFullYear>=0),"[[year]]":b.getFullYear(),"[[month]]":b.getMonth(),"[[day]]":b.getDate(),"[[hour]]":b.getHours(),"[[minute]]":b.getMinutes(),"[[second]]":b.getSeconds(),"[[inDST]]":!1})}function B(a,b){if(!a.number)throw new Error("Object passed doesn't contain locale data for Intl.NumberFormat");var c,d=[b],e=b.split("-");for(e.length>2&&4==e[1].length&&W.call(d,e[0]+"-"+e[2]);c=Y.call(d);)W.call($.NumberFormat["[[availableLocales]]"],c),$.NumberFormat["[[localeData]]"][c]=a.number,a.date&&(a.date.nu=a.number.nu,W.call($.DateTimeFormat["[[availableLocales]]"],c),$.DateTimeFormat["[[localeData]]"][c]=a.date);void 0===K&&(K=b),bb||(p(P.NumberFormat.prototype),bb=!0),a.date&&!cb&&(v(P.DateTimeFormat.prototype),cb=!0)}function C(a){if(!Q.call(this,"[[availableLocales]]"))throw new TypeError("supportedLocalesOf() is not a constructor");var b=G(),c=arguments[1],d=this["[[availableLocales]]"],f=e(a);return b.exp.test(b.input),l(d,f,c)}function D(a,b,c,d,e){var f=a[b]&&a[b][c]?a[b][c]:a.gregory[c],g={narrow:["short","long"],"short":["long","narrow"],"long":["short","narrow"]},h=Q.call(f,d)?f[d]:Q.call(f,g[d][0])?f[g[d][0]]:f[g[d][1]];return null!=e?h[e]:h}function E(a){for(var b in a)(a instanceof E||Q.call(a,b))&&R(this,b,{value:a[b],enumerable:!0,writable:!0,configurable:!0})}function F(){R(this,"length",{writable:!0,value:0}),arguments.length&&W.apply(this,U.call(arguments))}function G(){for(var a=/[.?*+^$[\]\\(){}|-]/g,b=RegExp.lastMatch,c=RegExp.multiline?"m":"",d={input:RegExp.input},e=new F,f=!1,g={},h=1;9>=h;h++)f=(g["$"+h]=RegExp["$"+h])||f;if(b=b.replace(a,"\\$&"),f)for(var h=1;9>=h;h++){var i=g["$"+h];i?(i=i.replace(a,"\\$&"),b=b.replace(i,"("+i+")")):b="()"+b,W.call(e,b.slice(0,b.indexOf("(")+1)),b=b.slice(b.indexOf("(")+1)}return d.exp=new RegExp(X.call(e,"")+b,c),d}function H(a){for(var b=a.length;b--;){var c=a.charAt(b);c>="a"&&"z">=c&&(a=a.slice(0,b)+c.toUpperCase()+a.slice(b+1))}return a}function I(a){if(null==a)throw new TypeError("Cannot convert null or undefined to object");return Object(a)}function J(a){return Q.call(a,"__getInternalProperties")?a.__getInternalProperties(_):T(null)}var K,L,M,N,O,P={},Q=Object.prototype.hasOwnProperty,R=Object.defineProperty||function(a,b,c){c.get&&a.__defineGetter__?a.__defineGetter__(b,c.get):(c.value||c.get)&&(a[b]=c.value||c.get)},S=Array.prototype.indexOf||function(a){var b=this;if(!b.length)return-1;for(var c=arguments[1]||0,d=b.length;d>c;c++)if(b[c]===a)return c},T=Object.create||function(a,b){function c(){}var d;c.prototype=a,d=new c;for(var e in b)Q.call(b,e)&&R(d,e,b[e]);return d},U=Array.prototype.slice,V=Array.prototype.concat,W=Array.prototype.push,X=Array.prototype.join,Y=Array.prototype.shift,Z=Function.prototype.bind||function(a){var b=this,c=U.call(arguments,1);return function(){b.apply(a,V.call(c,U.call(arguments)))}},$=T(null),_=Math.random(),ab=T(null,{narrow:{},"short":{},"long":{}}),bb=!1,cb=!1,db=/(?=(?!^)(?:\d{3})+(?!\d))/g,eb=/^[A-Z]{3}$/,fb=/-u(?:-[0-9a-z]{2,8})+/gi,gb={tags:{"art-lojban":"jbo","i-ami":"ami","i-bnn":"bnn","i-hak":"hak","i-klingon":"tlh","i-lux":"lb","i-navajo":"nv","i-pwn":"pwn","i-tao":"tao","i-tay":"tay","i-tsu":"tsu","no-bok":"nb","no-nyn":"nn","sgn-BE-FR":"sfb","sgn-BE-NL":"vgt","sgn-CH-DE":"sgg","zh-guoyu":"cmn","zh-hakka":"hak","zh-min-nan":"nan","zh-xiang":"hsn","sgn-BR":"bzs","sgn-CO":"csn","sgn-DE":"gsg","sgn-DK":"dsl","sgn-ES":"ssp","sgn-FR":"fsl","sgn-GB":"bfi","sgn-GR":"gss","sgn-IE":"isg","sgn-IT":"ise","sgn-JP":"jsl","sgn-MX":"mfs","sgn-NI":"ncs","sgn-NL":"dse","sgn-NO":"nsl","sgn-PT":"psr","sgn-SE":"swl","sgn-US":"ase","sgn-ZA":"sfs","zh-cmn":"cmn","zh-cmn-Hans":"cmn-Hans","zh-cmn-Hant":"cmn-Hant","zh-gan":"gan","zh-wuu":"wuu","zh-yue":"yue"},subtags:{BU:"MM",DD:"DE",FX:"FR",TP:"TL",YD:"YE",ZR:"CD",heploc:"alalc97","in":"id",iw:"he",ji:"yi",jw:"jv",mo:"ro",ayx:"nun",bjd:"drl",ccq:"rki",cjr:"mom",cka:"cmr",cmk:"xch",drh:"khk",drw:"prs",gav:"dev",hrr:"jal",ibi:"opa",kgh:"kml",lcq:"ppr",mst:"mry",myt:"mry",sca:"hle",tie:"ras",tkk:"twm",tlw:"weo",tnf:"prs",ybd:"rki",yma:"lrr"},extLang:{aao:["aao","ar"],abh:["abh","ar"],abv:["abv","ar"],acm:["acm","ar"],acq:["acq","ar"],acw:["acw","ar"],acx:["acx","ar"],acy:["acy","ar"],adf:["adf","ar"],ads:["ads","sgn"],aeb:["aeb","ar"],aec:["aec","ar"],aed:["aed","sgn"],aen:["aen","sgn"],afb:["afb","ar"],afg:["afg","sgn"],ajp:["ajp","ar"],apc:["apc","ar"],apd:["apd","ar"],arb:["arb","ar"],arq:["arq","ar"],ars:["ars","ar"],ary:["ary","ar"],arz:["arz","ar"],ase:["ase","sgn"],asf:["asf","sgn"],asp:["asp","sgn"],asq:["asq","sgn"],asw:["asw","sgn"],auz:["auz","ar"],avl:["avl","ar"],ayh:["ayh","ar"],ayl:["ayl","ar"],ayn:["ayn","ar"],ayp:["ayp","ar"],bbz:["bbz","ar"],bfi:["bfi","sgn"],bfk:["bfk","sgn"],bjn:["bjn","ms"],bog:["bog","sgn"],bqn:["bqn","sgn"],bqy:["bqy","sgn"],btj:["btj","ms"],bve:["bve","ms"],bvl:["bvl","sgn"],bvu:["bvu","ms"],bzs:["bzs","sgn"],cdo:["cdo","zh"],cds:["cds","sgn"],cjy:["cjy","zh"],cmn:["cmn","zh"],coa:["coa","ms"],cpx:["cpx","zh"],csc:["csc","sgn"],csd:["csd","sgn"],cse:["cse","sgn"],csf:["csf","sgn"],csg:["csg","sgn"],csl:["csl","sgn"],csn:["csn","sgn"],csq:["csq","sgn"],csr:["csr","sgn"],czh:["czh","zh"],czo:["czo","zh"],doq:["doq","sgn"],dse:["dse","sgn"],dsl:["dsl","sgn"],dup:["dup","ms"],ecs:["ecs","sgn"],esl:["esl","sgn"],esn:["esn","sgn"],eso:["eso","sgn"],eth:["eth","sgn"],fcs:["fcs","sgn"],fse:["fse","sgn"],fsl:["fsl","sgn"],fss:["fss","sgn"],gan:["gan","zh"],gds:["gds","sgn"],gom:["gom","kok"],gse:["gse","sgn"],gsg:["gsg","sgn"],gsm:["gsm","sgn"],gss:["gss","sgn"],gus:["gus","sgn"],hab:["hab","sgn"],haf:["haf","sgn"],hak:["hak","zh"],hds:["hds","sgn"],hji:["hji","ms"],hks:["hks","sgn"],hos:["hos","sgn"],hps:["hps","sgn"],hsh:["hsh","sgn"],hsl:["hsl","sgn"],hsn:["hsn","zh"],icl:["icl","sgn"],ils:["ils","sgn"],inl:["inl","sgn"],ins:["ins","sgn"],ise:["ise","sgn"],isg:["isg","sgn"],isr:["isr","sgn"],jak:["jak","ms"],jax:["jax","ms"],jcs:["jcs","sgn"],jhs:["jhs","sgn"],jls:["jls","sgn"],jos:["jos","sgn"],jsl:["jsl","sgn"],jus:["jus","sgn"],kgi:["kgi","sgn"],knn:["knn","kok"],kvb:["kvb","ms"],kvk:["kvk","sgn"],kvr:["kvr","ms"],kxd:["kxd","ms"],lbs:["lbs","sgn"],lce:["lce","ms"],lcf:["lcf","ms"],liw:["liw","ms"],lls:["lls","sgn"],lsg:["lsg","sgn"],lsl:["lsl","sgn"],lso:["lso","sgn"],lsp:["lsp","sgn"],lst:["lst","sgn"],lsy:["lsy","sgn"],ltg:["ltg","lv"],lvs:["lvs","lv"],lzh:["lzh","zh"],max:["max","ms"],mdl:["mdl","sgn"],meo:["meo","ms"],mfa:["mfa","ms"],mfb:["mfb","ms"],mfs:["mfs","sgn"],min:["min","ms"],mnp:["mnp","zh"],mqg:["mqg","ms"],mre:["mre","sgn"],msd:["msd","sgn"],msi:["msi","ms"],msr:["msr","sgn"],mui:["mui","ms"],mzc:["mzc","sgn"],mzg:["mzg","sgn"],mzy:["mzy","sgn"],nan:["nan","zh"],nbs:["nbs","sgn"],ncs:["ncs","sgn"],nsi:["nsi","sgn"],nsl:["nsl","sgn"],nsp:["nsp","sgn"],nsr:["nsr","sgn"],nzs:["nzs","sgn"],okl:["okl","sgn"],orn:["orn","ms"],ors:["ors","ms"],pel:["pel","ms"],pga:["pga","ar"],pks:["pks","sgn"],prl:["prl","sgn"],prz:["prz","sgn"],psc:["psc","sgn"],psd:["psd","sgn"],pse:["pse","ms"],psg:["psg","sgn"],psl:["psl","sgn"],pso:["pso","sgn"],psp:["psp","sgn"],psr:["psr","sgn"],pys:["pys","sgn"],rms:["rms","sgn"],rsi:["rsi","sgn"],rsl:["rsl","sgn"],sdl:["sdl","sgn"],sfb:["sfb","sgn"],sfs:["sfs","sgn"],sgg:["sgg","sgn"],sgx:["sgx","sgn"],shu:["shu","ar"],slf:["slf","sgn"],sls:["sls","sgn"],sqk:["sqk","sgn"],sqs:["sqs","sgn"],ssh:["ssh","ar"],ssp:["ssp","sgn"],ssr:["ssr","sgn"],svk:["svk","sgn"],swc:["swc","sw"],swh:["swh","sw"],swl:["swl","sgn"],syy:["syy","sgn"],tmw:["tmw","ms"],tse:["tse","sgn"],tsm:["tsm","sgn"],tsq:["tsq","sgn"],tss:["tss","sgn"],tsy:["tsy","sgn"],tza:["tza","sgn"],ugn:["ugn","sgn"],ugy:["ugy","sgn"],ukl:["ukl","sgn"],uks:["uks","sgn"],urk:["urk","ms"],uzn:["uzn","uz"],uzs:["uzs","uz"],vgt:["vgt","sgn"],vkk:["vkk","ms"],vkt:["vkt","ms"],vsi:["vsi","sgn"],vsl:["vsl","sgn"],vsv:["vsv","sgn"],wuu:["wuu","zh"],xki:["xki","sgn"],xml:["xml","sgn"],xmm:["xmm","ms"],xms:["xms","sgn"],yds:["yds","sgn"],ysl:["ysl","sgn"],yue:["yue","zh"],zib:["zib","sgn"],zlm:["zlm","ms"],zmi:["zmi","ms"],zsl:["zsl","sgn"],zsm:["zsm","ms"]}},hb={BHD:3,BYR:0,XOF:0,BIF:0,XAF:0,CLF:0,CLP:0,KMF:0,DJF:0,XPF:0,GNF:0,ISK:0,IQD:3,JPY:0,JOD:3,KRW:0,KWD:3,LYD:3,OMR:3,PYG:0,RWF:0,TND:3,UGX:0,UYI:0,VUV:0,VND:0};!function(){var a="[a-z]{3}(?:-[a-z]{3}){0,2}",b="(?:[a-z]{2,3}(?:-"+a+")?|[a-z]{4}|[a-z]{5,8})",c="[a-z]{4}",d="(?:[a-z]{2}|\\d{3})",e="(?:[a-z0-9]{5,8}|\\d[a-z0-9]{3})",f="[0-9a-wy-z]",g=f+"(?:-[a-z0-9]{2,8})+",h="x(?:-[a-z0-9]{1,8})+",i="(?:en-GB-oed|i-(?:ami|bnn|default|enochian|hak|klingon|lux|mingo|navajo|pwn|tao|tay|tsu)|sgn-(?:BE-FR|BE-NL|CH-DE))",j="(?:art-lojban|cel-gaulish|no-bok|no-nyn|zh-(?:guoyu|hakka|min|min-nan|xiang))",k="(?:"+i+"|"+j+")",l=b+"(?:-"+c+")?(?:-"+d+")?(?:-"+e+")*(?:-"+g+")*(?:-"+h+")?";L=RegExp("^(?:"+l+"|"+h+"|"+k+")$","i"),N=RegExp("^(?!x).*?-("+e+")-(?:\\w{4,8}-(?!x-))*\\1\\b","i"),O=RegExp("^(?!x).*?-("+f+")-(?:\\w+-(?!x-))*\\1\\b","i"),M=RegExp("-"+g,"ig")}(),R(P,"NumberFormat",{configurable:!0,writable:!0,value:o}),R(P.NumberFormat,"prototype",{writable:!1}),$.NumberFormat={"[[availableLocales]]":[],"[[relevantExtensionKeys]]":["nu"],"[[localeData]]":{}},R(P.NumberFormat,"supportedLocalesOf",{configurable:!0,writable:!0,value:Z.call(C,$.NumberFormat)}),R(P.NumberFormat.prototype,"format",{configurable:!0,get:function(){var a=null!=this&&"object"==typeof this&&J(this);if(!a||!a["[[initializedNumberFormat]]"])throw new TypeError("`this` value for format() is not an initialized Intl.NumberFormat object.");if(void 0===a["[[boundFormat]]"]){var b=function(a){return r(this,Number(a))},c=Z.call(b,this);a["[[boundFormat]]"]=c}return a["[[boundFormat]]"]}});var ib={arab:["٠","١","٢","٣","٤","٥","٦","٧","٨","٩"],arabext:["۰","۱","۲","۳","۴","۵","۶","۷","۸","۹"],bali:["᭐","᭑","᭒","᭓","᭔","᭕","᭖","᭗","᭘","᭙"],beng:["০","১","২","৩","৪","৫","৬","৭","৮","৯"],deva:["०","१","२","३","४","५","६","७","८","९"],fullwide:["０","１","２","３","４","５","６","７","８","９"],gujr:["૦","૧","૨","૩","૪","૫","૬","૭","૮","૯"],guru:["੦","੧","੨","੩","੪","੫","੬","੭","੮","੯"],hanidec:["〇","一","二","三","四","五","六","七","八","九"],khmr:["០","១","២","៣","៤","៥","៦","៧","៨","៩"],knda:["೦","೧","೨","೩","೪","೫","೬","೭","೮","೯"],laoo:["໐","໑","໒","໓","໔","໕","໖","໗","໘","໙"],latn:["0","1","2","3","4","5","6","7","8","9"],limb:["᥆","᥇","᥈","᥉","᥊","᥋","᥌","᥍","᥎","᥏"],mlym:["൦","൧","൨","൩","൪","൫","൬","൭","൮","൯"],mong:["᠐","᠑","᠒","᠓","᠔","᠕","᠖","᠗","᠘","᠙"],mymr:["၀","၁","၂","၃","၄","၅","၆","၇","၈","၉"],orya:["୦","୧","୨","୩","୪","୫","୬","୭","୮","୯"],tamldec:["௦","௧","௨","௩","௪","௫","௬","௭","௮","௯"],telu:["౦","౧","౨","౩","౪","౫","౬","౭","౮","౯"],thai:["๐","๑","๒","๓","๔","๕","๖","๗","๘","๙"],tibt:["༠","༡","༢","༣","༤","༥","༦","༧","༨","༩"]};R(P.NumberFormat.prototype,"resolvedOptions",{configurable:!0,writable:!0,value:function(){var a,b=new E,c=["locale","numberingSystem","style","currency","currencyDisplay","minimumIntegerDigits","minimumFractionDigits","maximumFractionDigits","minimumSignificantDigits","maximumSignificantDigits","useGrouping"],d=null!=this&&"object"==typeof this&&J(this);if(!d||!d["[[initializedNumberFormat]]"])throw new TypeError("`this` value for resolvedOptions() is not an initialized Intl.NumberFormat object.");for(var e=0,f=c.length;f>e;e++)Q.call(d,a="[["+c[e]+"]]")&&(b[c[e]]={value:d[a],writable:!0,configurable:!0,enumerable:!0});return T({},b)}}),R(P,"DateTimeFormat",{configurable:!0,writable:!0,value:u}),R(u,"prototype",{writable:!1});var jb={weekday:["narrow","short","long"],era:["narrow","short","long"],year:["2-digit","numeric"],month:["2-digit","numeric","narrow","short","long"],day:["2-digit","numeric"],hour:["2-digit","numeric"],minute:["2-digit","numeric"],second:["2-digit","numeric"],timeZoneName:["short","long"]};return $.DateTimeFormat={"[[availableLocales]]":[],"[[relevantExtensionKeys]]":["ca","nu"],"[[localeData]]":{}},R(P.DateTimeFormat,"supportedLocalesOf",{configurable:!0,writable:!0,value:Z.call(C,$.DateTimeFormat)}),R(P.DateTimeFormat.prototype,"format",{configurable:!0,get:function(){var a=null!=this&&"object"==typeof this&&J(this);if(!a||!a["[[initializedDateTimeFormat]]"])throw new TypeError("`this` value for format() is not an initialized Intl.DateTimeFormat object.");if(void 0===a["[[boundFormat]]"]){var b=function(){var a=Number(0===arguments.length?Date.now():arguments[0]);return z(this,a)},c=Z.call(b,this);a["[[boundFormat]]"]=c}return a["[[boundFormat]]"]}}),R(P.DateTimeFormat.prototype,"resolvedOptions",{writable:!0,configurable:!0,value:function(){var a,b=new E,c=["locale","calendar","numberingSystem","timeZone","hour12","weekday","era","year","month","day","hour","minute","second","timeZoneName","pattern"],d=null!=this&&"object"==typeof this&&J(this);if(!d||!d["[[initializedDateTimeFormat]]"])throw new TypeError("`this` value for resolvedOptions() is not an initialized Intl.DateTimeFormat object.");for(var e=0,f=c.length;f>e;e++)Q.call(d,a="[["+c[e]+"]]")&&(b[c[e]]={value:d[a],writable:!0,configurable:!0,enumerable:!0});return T({},b)}}),R(Number.prototype,"toLocaleString",{writable:!0,configurable:!0,value:function(){if("[object Number]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a number for Number.prototype.toLocaleString()");return r(new o(arguments[0],arguments[1]),this)}}),R(Date.prototype,"toLocaleString",{writable:!0,configurable:!0,value:function(){if("[object Date]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleString()");var a=+this;if(isNaN(a))return"Invalid Date";var b=arguments[0],c=arguments[1],c=w(c,"any","all"),d=new u(b,c);return z(d,a)}}),R(Date.prototype,"toLocaleDateString",{writable:!0,configurable:!0,value:function(){if("[object Date]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleDateString()");var a=+this;if(isNaN(a))return"Invalid Date";var b=arguments[0],c=arguments[1],c=w(c,"date","date"),d=new u(b,c);return z(d,a)}}),R(Date.prototype,"toLocaleTimeString",{writable:!0,configurable:!0,value:function(){if("[object Date]"!==Object.prototype.toString.call(this))throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleTimeString()");var a=+this;if(isNaN(a))return"Invalid Date";var b=arguments[0],c=arguments[1],c=w(c,"time","time"),d=new u(b,c);return z(d,a)}}),R(P,"__addLocaleData",{value:function(b){if(!a(b.locale))throw new Error("Object passed doesn't identify itself with a valid language tag");B(b,b.locale)}}),"undefined"!=typeof window&&(window.IntlLocaleData=$),E.prototype=T(null),F.prototype=T(null),P});